diff -purN u-boot-0.3.0/CHANGELOG u-boot-0.3.0.dest/CHANGELOG
--- u-boot-0.3.0/CHANGELOG	Wed Apr  9 01:22:37 2003
+++ u-boot-0.3.0.dest/CHANGELOG	Mon Jun  2 19:24:20 2003
@@ -2,6 +2,13 @@
 Changes for U-Boot 0.3.0:
 ======================================================================
 
+* Patches by Nicolas Lacressonniere, 2 Jun 2003:
+  - Fix Data Abort bug when executing BOOTP command. Try to read an unsigned int on a non-word
+  aligned pointer in bootp source file.
+  
 * Patch by Arun Dharankar, 4 Apr 2003:
   Add IDMA example code (tested on 8260 only)

diff -purN u-boot-0.3.0/net/bootp.c u-boot-0.3.0.dest/net/bootp.c
--- u-boot-0.3.0/net/bootp.c	Thu Apr  3 01:21:54 2003
+++ u-boot-0.3.0.dest/net/bootp.c	Mon Jun  2 19:48:51 2003
@@ -55,7 +55,6 @@ ulong		seed1, seed2;
 
 #if (CONFIG_COMMANDS & CFG_CMD_DHCP)
 dhcp_state_t dhcp_state = INIT;
-unsigned int dhcp_leasetime = 0;
 static void DhcpHandler(uchar * pkt, unsigned dest, unsigned src, unsigned len);
 
 /* For Debug */
@@ -711,7 +710,6 @@ static void DhcpOptionsProcess(uchar *po
 				NetOurRootPath[size] = 0 ;
 				break;
 			case 51:
-				dhcp_leasetime = *(unsigned int *)(popt + 2);
 				break;
 			case 53:		/* Ignore Message Type Option */
 				break;
